summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/ttf-bitstream-vera/README2
-rw-r--r--system/ttf-bitstream-vera/doinst.sh10
-rw-r--r--system/ttf-bitstream-vera/slack-desc19
-rw-r--r--system/ttf-bitstream-vera/ttf-bitstream-vera.SlackBuild61
-rw-r--r--system/ttf-bitstream-vera/ttf-bitstream-vera.info10
5 files changed, 102 insertions, 0 deletions
diff --git a/system/ttf-bitstream-vera/README b/system/ttf-bitstream-vera/README
new file mode 100644
index 0000000000..6c4a76de4b
--- /dev/null
+++ b/system/ttf-bitstream-vera/README
@@ -0,0 +1,2 @@
+These fonts include four monospace and sans faces (normal, oblique,
+bold, bold oblique) and two serif faces (normal and bold).
diff --git a/system/ttf-bitstream-vera/doinst.sh b/system/ttf-bitstream-vera/doinst.sh
new file mode 100644
index 0000000000..883c47ac0a
--- /dev/null
+++ b/system/ttf-bitstream-vera/doinst.sh
@@ -0,0 +1,10 @@
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/ttf-bitstream-vera/slack-desc b/system/ttf-bitstream-vera/slack-desc
new file mode 100644
index 0000000000..4c0cd14adb
--- /dev/null
+++ b/system/ttf-bitstream-vera/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+ttf-bitstream-vera: ttf-bitstream-vera (Bitstream Vera Fonts)
+ttf-bitstream-vera:
+ttf-bitstream-vera: These fonts include four monospace and sans faces (normal, oblique,
+ttf-bitstream-vera: bold, bold oblique) and two serif faces (normal and bold).
+ttf-bitstream-vera:
+ttf-bitstream-vera:
+ttf-bitstream-vera:
+ttf-bitstream-vera:
+ttf-bitstream-vera:
+ttf-bitstream-vera:
+ttf-bitstream-vera:
diff --git a/system/ttf-bitstream-vera/ttf-bitstream-vera.SlackBuild b/system/ttf-bitstream-vera/ttf-bitstream-vera.SlackBuild
new file mode 100644
index 0000000000..159cfccd01
--- /dev/null
+++ b/system/ttf-bitstream-vera/ttf-bitstream-vera.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+#
+# Slackware build script for Bitstream Vera Fonts
+#
+# Copyright 2010 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ttf-bitstream-vera
+VERSION=1.10
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+ARCH=noarch # they're fonts, dummy
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p $PKG/usr/share/fonts/TTF
+cp -a *.ttf $PKG/usr/share/fonts/TTF
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYRIGHT.TXT README.TXT RELEASENOTES.TXT local.conf \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/ttf-bitstream-vera/ttf-bitstream-vera.info b/system/ttf-bitstream-vera/ttf-bitstream-vera.info
new file mode 100644
index 0000000000..c671da2996
--- /dev/null
+++ b/system/ttf-bitstream-vera/ttf-bitstream-vera.info
@@ -0,0 +1,10 @@
+PRGNAM="ttf-bitstream-vera"
+VERSION="1.10"
+HOMEPAGE="http://www.gnome.org/fonts/"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/ttf-bitstream-vera/1.10/ttf-bitstream-vera-1.10.tar.bz2"
+MD5SUM="bb22bd5b4675f5dbe17c6963d8c00ed6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="dsomero"